> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parea.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Experiment

> Create an experiment and get the associated experiment uuid.



## OpenAPI

````yaml post /api/parea/v1/experiment
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers: []
security: []
paths:
  /api/parea/v1/experiment:
    post:
      summary: Create Experiment Api
      description: Create an experiment and get the associated experiment uuid.
      operationId: create_experiment_api_api_parea_v1_experiment_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateExperimentRequestSchema'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExperimentSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - APIKeyHeader: []
        - APIKeyHeader: []
        - APIKeyHeader: []
components:
  schemas:
    CreateExperimentRequestSchema:
      properties:
        name:
          type: string
          title: Name
          description: Name of the experiment
        run_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Name
          description: >-
            Name of the run. Must be unique for each experiment and can only
            contain alphanumeric characters, hyphens, and underscores.
        project_uuid:
          type: string
          title: Project Uuid
          description: UUID of the project associated with this experiment
        is_public:
          type: boolean
          title: Is Public
          description: If experiment should be public
          default: false
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            Any additional key-value pairs which provide context or are useful
            for filtering.
      type: object
      required:
        - name
        - project_uuid
      title: CreateExperimentRequestSchema
      examples:
        - metadata:
            dataset: dev 123
          name: Test Experiment
          project_uuid: ...
          run_name: test-experiment
    ExperimentSchema:
      properties:
        name:
          type: string
          title: Name
          description: Name of the experiment
        run_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Run Name
          description: >-
            Name of the run. Must be unique for each experiment and can only
            contain alphanumeric characters, hyphens, and underscores.
        project_uuid:
          type: string
          title: Project Uuid
          description: UUID of the project associated with this experiment
        is_public:
          type: boolean
          title: Is Public
          description: If experiment should be public
          default: false
        metadata:
          anyOf:
            - additionalProperties:
                type: string
              type: object
            - type: 'null'
          title: Metadata
          description: >-
            Any additional key-value pairs which provide context or are useful
            for filtering.
        uuid:
          type: string
          title: Uuid
          description: UUID of the created experiment
        created_at:
          type: string
          title: Created At
          description: Timestamp the experiment was created
      type: object
      required:
        - name
        - project_uuid
        - uuid
        - created_at
      title: ExperimentSchema
      examples:
        - created_at: '2024-05-30 13:48:34'
          metadata:
            dataset: dev 123
          name: Test Experiment
          project_uuid: ...
          run_name: test-experiment
          uuid: ...
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    APIKeyHeader:
      type: apiKey
      in: header
      name: x-user-id

````